package androidTest.loginTestPackage;

import com.aventstack.extentreports.ExtentTest;
import com.aventstack.extentreports.Status;
import com.mobile.MobileTest.DriverFactory;

import java.net.MalformedURLException;
import java.util.Random;

public class loginActionChain extends DriverFactory {
    ExtentTest test;
    LoginBase loginBase = new LoginBase();

    private void submitClick() {
        loginBase.getSubmit().click();
    }

    private void closeButton() {
        loginBase.closeButtonNotification().click();
    }

    private void userName() {
        loginBase.getUserName().click();
        loginBase.getUserName().sendKeys("anything In the world");
    }

    private void passWord() {
        loginBase.getPassword().click();
        loginBase.getPassword().sendKeys("anything In the world");
    }

    public void crazyTest()  {
        int n = 10;
        Random rand = new Random();
        for(int i=1; i <= n ; i++) {
            switch (rand.nextInt(3)) {
                case 2 : submitClick();
                System.out.println("submit click");
                break;
                case 3 : closeButton();
                System.out.println("close button");
                case 1 : userName();
                System.out.println("username");
            }
        }
    }

    public void loginFail(){
        test = extent.createTest("Login fail", "Sample description");

        userName();
        test.log(Status.INFO, "This step shows usage of log(status, details)");
        passWord();
        test.log(Status.INFO, "This step shows usage of log(status, details)");
        submitClick();
        test.log(Status.INFO, "This step shows usage of log(status, details)");
    }
}
