package androidTest;

import com.mobile.MobileTest.MobileDriver;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.testng.Assert;

import static com.mobile.MobileTest.DriverFactory.driver;

public class loginFail {
    public WebElement getRelativeLayout() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/rl_login_root"));
    }

    public WebElement getUserName() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/et_login_username"));
    }

    public WebElement getPassword() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/et_login_password"));
    }

    public WebElement getTextImage() {
        return MobileDriver.getDriver().findElement(By.xpath("//android.widget.ImageView[@index=0]"));
    }

    public WebElement getSubmit() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/btn_login_account"));
    }

    public WebElement getLoginResult() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/tv_UserLogin"));
    }

    public  WebElement getHelper() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/fl_help_content"));
    }

    public  WebElement getLoginFailNotification() {
        return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/tv_custom_dialog_title"));
    }

    public void scrollTillWebView() throws InterruptedException {
        getUserName().click();
        getUserName().sendKeys("fl.trainee4");

        getRelativeLayout().click();

        getPassword().click();
        getPassword().sendKeys("Enjoy@18");

        getTextImage().click();
        getRelativeLayout().click();
        getSubmit().click();
        Thread.sleep(2000);
        Assert.assertEquals(getLoginFailNotification().getText(), "WARNING!");
        Thread.sleep(1000);
    }
}
